com.informix.jdbc

## Interface SQLUDTInput

All Superinterfaces:
  java.sql.SQLInput

All Known Subinterfaces:
  IfmxUDTSQLInput

All Known Implementing Classes:
  IfxUDTInput

    public interface SQLUDTInput
    extends java.sql.SQLInput

JDBC 2.0

This SQLUDTInput interface extends from SQLInput. This interface is specificly used for Informix User Defined Types. It contains Informix extension methods for serializing/deserializing fixed length data.

### Method Summary

Methods
`int` `length()` Get the total length of the entire data stream.
`byte[]` `readBytes(int maxlen)` Read the next attribute in the stream as Java byte array.
`Interval` `readInterval()` Read the next attribute in the stream as a Java Interval.
`java.lang.String` `readString(int maxlen)` Read the next attribute in the stream as a Java String.

### Methods inherited from interface java.sql.SQLInput

`readArray, readAsciiStream, readBigDecimal, readBinaryStream, readBlob, readBoolean, readByte, readBytes, readCharacterStream, readClob, readDate, readDouble, readFloat, readInt, readLong, readNClob, readNString, readObject, readRef, readRowId, readShort, readSQLXML, readString, readTime, readTimestamp, readURL, wasNull`

### Method Detail

#### length

    int length()

Get the total length of the entire data stream.

Returns:
  the total length.

#### readString

    java.lang.String readString(int maxlen)
                                throws java.sql.SQLException

Read the next attribute in the stream as a Java String. This method is similar to SQLInput.readString() with the exception that a fixed length of data is read in. This method replaces SQLInput.readString() in the UDT implementation since the user defined type is unknown to the driver, the user MUST supply a length in order for the driver to read in the next attribute properly.

Parameters:
  `maxlen` - the maximum size of data to read in.
Returns:
  the attrubute as String.
Throws:
  `java.sql.SQLException`

#### readBytes

    byte[] readBytes(int maxlen)
                     throws java.sql.SQLException

Read the next attribute in the stream as Java byte array. This method is similar to SQLOutput.readBytes() with the exception that a fixed length of data is read in. This method replaces SQLInput.readBytes() in the UDT implementation since the user defined type is unknown to the driver, the user MUST supply a length in order for the driver to read in the next attribute properly.

Parameters:
  `maxlen` - the maximum size of data to read in.
Returns:
  the attrubute as byte array.
Throws:
  `java.sql.SQLException`

#### readInterval

    Interval readInterval()
                          throws java.sql.SQLException

Read the next attribute in the stream as a Java Interval. This method is an Informix extension.

Returns:
  the attrubute as Interval object.
Throws:
  `java.sql.SQLException`